Package svnmailer :: Module struct_accessors :: Class BasePremapDescriptor

[hide private]

# Class BasePremapDescriptor

source code

                      object --+
                               |
    typedstruct.MemberDescriptor --+
                                   |
                      BaseDescriptor --+
                                       |
                                      BasePremapDescriptor

Known Subclasses:
  - CommandlineDescriptor
  - , FilenameDescriptor
  - , MailactionDescriptor
  - , QuotedstringDescriptor
  - , RegexDescriptor
  - , TokenDescriptor

Base class for premap only descriptors

Instance Methods | [hide private]

doPremap(self, value, mapper, arg) Maps the value | source code

doPostmap(self, value, mapper, arg) Passes through | source code

Inherited from `BaseDescriptor`: `__init__`, `doSubstitute`, `doTransform`, `getCharset`, `getFileCharset`, `postmap`, `premap`, `substitute`, `transform`

Inherited from `typedstruct.MemberDescriptor`: `__delete__`, `__get__`, `__set__`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Instance Variables | [hide private]

Inherited from `typedstruct.MemberDescriptor`: `name`, `param`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### doPremap(self, value, mapper, arg)

source code

Maps the value

Parameters:
  - `value` - The value to premap
  - `mapper` - The mapper function
  - `arg` - The argument used for struct initialization
Overrides: BaseDescriptor.doPremap

### doPostmap(self, value, mapper, arg)

source code

Passes through

Parameters:
  - `value` - The value to premap
  - `mapper` - The mapper function
  - `arg` - The argument used for struct initialization
Overrides: BaseDescriptor.doPostmap